var index =
[
    [ "Devices & Usage Manual", "page_devices.html", [
      [ "Manual Parts", "index.html#autotoc_md11", [
        [ "Further Information", "index.html#autotoc_md12", null ],
        [ "Installing and/or Building UHD", "index.html#autotoc_md13", null ],
        [ "General Usage Manuals", "page_devices.html#autotoc_md0", null ],
        [ "USRP N-Series Devices", "page_devices.html#autotoc_md1", null ],
        [ "USRP B-Series Devices", "page_devices.html#autotoc_md2", null ],
        [ "USRP E-Series Devices", "page_devices.html#autotoc_md3", null ],
        [ "USRP X-Series Devices", "page_devices.html#autotoc_md4", null ],
        [ "USRP Legacy Series", "page_devices.html#autotoc_md5", null ],
        [ "Daughterboards", "page_devices.html#autotoc_md6", null ],
        [ "OctoClock", "page_devices.html#autotoc_md7", null ],
        [ "Usrpctl", "page_devices.html#autotoc_md8", null ]
      ] ],
      [ "General Application Notes", "page_general.html", [
        [ "Tuning Notes", "page_general.html#general_tuning", [
          [ "Two-stage tuning process", "page_general.html#general_tuning_process", [
            [ "Tuning the receive chain:", "page_general.html#general_tuning_rxchain", null ]
          ] ],
          [ "DSP Tuning", "page_general.html#general_tuning_dsp", null ],
          [ "Sign of DSP frequency on TX vs. RX tuning", "page_general.html#general_tuning_dsp_sign", null ],
          [ "RF front-end settling time", "page_general.html#general_tuning_rfsettling", [
            [ "Pseudo-code for dealing with settling time after tuning on receive:", "page_general.html#general_tuning_waitcode", null ]
          ] ]
        ] ],
        [ "Sample rate notes", "page_general.html#general_sampleratenotes", [
          [ "Automatic master-clock selection", "page_general.html#general_sampleratenotes_automatic", null ],
          [ "Master clock rate and Nyquist", "page_general.html#general_sampleratenotes_nyquist", null ]
        ] ],
        [ "Overflow/Underflow Notes", "page_general.html#general_ounotes", [
          [ "Overflow notes", "page_general.html#general_ounotes_overflow", null ],
          [ "Underrun notes", "page_general.html#general_ounotes_underrun", null ]
        ] ],
        [ "Threading Notes", "page_general.html#general_threading", [
          [ "Thread safety notes", "page_general.html#general_threading_safety", null ],
          [ "Thread priority scheduling", "page_general.html#general_threading_prio", null ]
        ] ],
        [ "Miscellaneous Notes", "page_general.html#general_misc", [
          [ "Support for dynamically loadable modules", "page_general.html#general_misc_dynamic", null ],
          [ "Disabling or redirecting prints to stdout", "page_general.html#general_misc_prints", null ]
        ] ]
      ] ],
      [ "Device Identification", "page_identification.html", [
        [ "Identifying USRP Devices", "page_identification.html#id_identifying", [
          [ "Common device identifiers", "page_identification.html#id_identifying_common", null ],
          [ "Device discovery via command line", "page_identification.html#id_identifying_cmdline", null ],
          [ "Device discovery through the API", "page_identification.html#id_identifying_api", null ],
          [ "Device properties", "page_identification.html#id_identifying_props", null ]
        ] ],
        [ "Naming a USRP Device", "page_identification.html#id_naming", [
          [ "Set a custom name", "page_identification.html#id_naming_set", null ],
          [ "Discovery via name", "page_identification.html#id_naming_discovery", null ]
        ] ]
      ] ],
      [ "Configuring Devices and Streamers", "page_configuration.html", [
        [ "Device Configuration through address string", "page_configuration.html#config_devaddr", null ],
        [ "Specifying the Subdevice", "page_configuration.html#config_subdev", [
          [ "USRP Family Motherboard Slot Names", "page_configuration.html#config_subdev_slotnames", null ],
          [ "USRP Family Motherboard Slot Names", "page_configuration.html#config_subdev_default", null ],
          [ "Daughterboard Frontend Names", "page_configuration.html#config_subdev_dbnames", null ]
        ] ],
        [ "Streaming Arguments (Stream Args)", "page_configuration.html#config_stream_args", [
          [ "CPU Data Format Specification", "page_configuration.html#config_stream_args_cpu_format", null ],
          [ "Over-the-wire Data Format Specification", "page_configuration.html#config_stream_args_otw_format", null ],
          [ "Additional Stream Arguments", "page_configuration.html#config_stream_args_args", [
            [ "Transport-related Stream Arguments", "page_configuration.html#config_stream_args_transport", null ]
          ] ],
          [ "Channels", "page_configuration.html#config_stream_args_channels", null ]
        ] ],
        [ "Device Configuration through MPM configuration files", "page_configuration.html#config_mpm", null ]
      ] ],
      [ "Multiple USRP configurations", "page_multiple.html", [
        [ "Introduction", "page_multiple.html#multiple_intro", null ],
        [ "Setting up devices", "page_multiple.html#multiple_setup", null ],
        [ "Channel and Device Numbering", "page_multiple.html#multiple_channumbers", null ],
        [ "MIMO Operation", "page_multiple.html#multiple_mimo", null ]
      ] ],
      [ "Firmware and FPGA Images", "page_images.html", [
        [ "Images Overview", "page_images.html#images_overview", null ],
        [ "Pre-built Images", "page_images.html#images_prebuild", [
          [ "UHD Images Downloader", "page_images.html#images_prebuilt_downloader", null ],
          [ "Platform installers", "page_images.html#images_prebuilt_installers", null ],
          [ "Archive install", "page_images.html#images_prebuilt_archive", null ]
        ] ],
        [ "Building Images", "page_images.html#images_building", [
          [ "Xilinx FPGA builds", "page_images.html#images_building_xilinx", null ],
          [ "ZPU firmware builds", "page_images.html#images_building_zpu", null ],
          [ "Altera FPGA builds", "page_images.html#images_building_altera", null ],
          [ "FX2 firmware builds", "page_images.html#images_building_fx2", null ]
        ] ]
      ] ],
      [ "Transport Notes", "page_transport.html", [
        [ "Introduction", "page_transport.html#transport_intro", [
          [ "Overriding transport parameters", "page_transport.html#transport_param_overrides", null ]
        ] ],
        [ "UDP Transport (Sockets)", "page_transport.html#transport_udp", [
          [ "Data size restrictions in transport", "page_transport.html#transport_data_size_restrictions", null ],
          [ "Transport parameters", "page_transport.html#transport_udp_params", null ],
          [ "Flow control parameters", "page_transport.html#transport_udp_flow", null ],
          [ "Resize socket buffers", "page_transport.html#transport_udp_sockbufs", null ],
          [ "Latency Optimization", "page_transport.html#transport_udp_latency", null ],
          [ "Linux specific notes", "page_transport.html#transport_udp_linux", null ],
          [ "Windows specific notes", "page_transport.html#transport_udp_windows", null ],
          [ "Mac OS X specific notes", "page_transport.html#transport_udp_osx", null ]
        ] ],
        [ "USB Transport (LibUSB)", "page_transport.html#transport_usb", [
          [ "Transport parameters", "page_transport.html#transport_usb_params", null ],
          [ "Setup Udev for USB (Linux)", "page_transport.html#transport_usb_udev", null ],
          [ "Install USB driver (Windows)", "page_transport.html#transport_usb_installwin", null ]
        ] ],
        [ "PCIe Transport (NI-RIO)", "page_transport.html#transport_pcie", [
          [ "Transport parameters", "page_transport.html#transport_pcie_params", null ]
        ] ]
      ] ],
      [ "Device Synchronization", "page_sync.html", [
        [ "Common Reference Signals", "page_sync.html#sync_commonref", [
          [ "External PPS and 10 MHz reference signals", "page_sync.html#sync_commonref_pps", null ],
          [ "MIMO cable reference signals (N200-Series, USRP2)", "page_sync.html#sync_commonref_mimo", null ]
        ] ],
        [ "Synchronizing the Device Time", "page_sync.html#sync_time", [
          [ "Method 1 - poll the USRP time registers", "page_sync.html#sync_time_reg", null ],
          [ "Method 2 - query the GPSDO for seconds", "page_sync.html#sync_time_gpsdo", null ],
          [ "Method 3 - MIMO cable", "page_sync.html#sync_time_mimocable", null ]
        ] ],
        [ "Synchronizing Channel Phase", "page_sync.html#sync_phase", [
          [ "Align CORDICs in the DSP", "page_sync.html#sync_phase_cordics", null ],
          [ "Align LOs in the front-end (SBX, UBX)", "page_sync.html#sync_phase_lo", null ],
          [ "Align LOs in the front-end (others)", "page_sync.html#sync_phase_lootherfe", null ]
        ] ]
      ] ],
      [ "Timed Commands", "page_timedcmds.html", [
        [ "Stream Commands", "page_timedcmds.html#timedcmds_stream_cmds", null ],
        [ "General Timed Commands", "page_timedcmds.html#timedcmds_gen_cmds", [
          [ "Command Queues", "page_timedcmds.html#timedcmds_gen_cmds_qs", null ],
          [ "Which commands can be timed?", "page_timedcmds.html#timedcmds_gen_cmds_what", null ]
        ] ],
        [ "Command Time Resolution", "page_timedcmds.html#timedcmds_res", null ]
      ] ],
      [ "Device Calibration and Frontend Correction", "page_calibration.html", [
        [ "Self-Calibration", "page_calibration.html#calibration_self", [
          [ "Calibration Utilities", "page_calibration.html#calibration_self_utils", null ],
          [ "Calibration Data", "page_calibration.html#calibration_data", null ],
          [ "Modify Calibration Data", "page_calibration.html#modify_cal_data", null ],
          [ "Converting UHD 3.x calibration data to UHD 4", "page_calibration.html#calibration_data_csv", null ],
          [ "Ignoring Calibration Files", "page_calibration.html#ignore_cal_file", null ]
        ] ],
        [ "Frontend Corrections", "page_calibration.html#calibration_fe_corr", [
          [ "Single-Tap DC Offset Compensation", "page_calibration.html#calibration_fe_corr_dc_offset", null ],
          [ "Single-Point IQ offset compensation", "page_calibration.html#calibration_fe_corr_iq_offset", null ]
        ] ]
      ] ],
      [ "The Module Peripheral Manager (MPM) Architecture", "page_mpm.html", [
        [ "Architecture Overview", "page_mpm.html#mpm_arch", null ],
        [ "Device Claiming", "page_mpm.html#mpm_arch_claiming", null ],
        [ "Network vs. Embedded Mode", "page_mpm.html#mpm_modes", null ],
        [ "Debugging Tools", "page_mpm.html#mpm_debug", [
          [ "Python-based Debugging", "page_mpm.html#mpm_debug_python", null ],
          [ "MPM Tools", "page_mpm.html#mpm_debug_other", null ]
        ] ],
        [ "Hijack Mode", "page_mpm.html#mpm_shell_hijack", null ]
      ] ],
      [ "DPDK, Data Plane Development Kit", "page_dpdk.html", [
        [ "DPDK Overview", "page_dpdk.html#dpdk_overview", null ],
        [ "DPDK Setup", "page_dpdk.html#dpdk_setup", [
          [ "DPDK Installation Instructions", "page_dpdk.html#dpdk_installation", null ],
          [ "System Configuration", "page_dpdk.html#dpdk_system_configuration", null ],
          [ "NIC Configuration", "page_dpdk.html#dpdk_nic_config", null ]
        ] ],
        [ "Using DPDK in UHD", "page_dpdk.html#dpdk_using", [
          [ "Enabling DPDK with UHD Device Args", "page_dpdk.html#dpdk_device_args", null ],
          [ "DPDK Link Detection", "page_dpdk.html#dpdk_link_detection", null ],
          [ "Troubleshooting", "page_dpdk.html#dpdk_troubleshooting", null ]
        ] ]
      ] ],
      [ "Configuration Files", "page_configfiles.html", [
        [ "Format of the configuration files", "page_configfiles.html#configfiles_format", null ],
        [ "Configuring USRPs", "page_configfiles.html#configfiles_usrps", null ],
        [ "Configuring UHD Sessions", "page_configfiles.html#configfiles_uhd_session", null ],
        [ "Configuring DPDK", "page_configfiles.html#configfiles_usrps_dpdk", null ],
        [ "Configuring MPM", "page_configfiles.html#configfiles_usrps_mpm", null ],
        [ "Location of configuration files", "page_configfiles.html#configfiles_location", null ]
      ] ],
      [ "Compat Numbers", "page_compat.html", [
        [ "Major and Minor Compat Numbers", "page_compat.html#compat_minor_major", null ],
        [ "B200-Series Compat Numbers", "page_compat.html#compat_b2", null ],
        [ "X300 and USRP2/N210 Series Compat Numbers", "page_compat.html#compat_x3u2", null ],
        [ "MPM Devices (N310, E320, X4x0)", "page_compat.html#compat_mpm", null ],
        [ "RFNoC Components", "page_compat.html#compat_rfnoc", null ],
        [ "FAQ", "page_compat.html#compat_faq", [
          [ "Why is only one version of the compat number supported?", "page_compat.html#compat_faq_why1", null ],
          [ "Why are there so many different compat numbers?", "page_compat.html#compat_faq_whymany", null ]
        ] ]
      ] ],
      [ "Power Level Controls", "page_power.html", [
        [ "Power Level Controls: Overview", "page_power.html#power_overview", null ],
        [ "RX and TX reference power levels", "page_power.html#power_ref_levels", null ],
        [ "Amplitude Ranges and Clipping", "page_power.html#power_amp_rate", null ],
        [ "Retaining gain or power levels across frequency", "page_power.html#power_tune_owner", null ],
        [ "Device Implementations of Power Level APIs", "page_power.html#power_implementation", null ],
        [ "Calibration Table Storage", "page_power.html#power_storage", null ],
        [ "Calibrating your own device", "page_power.html#power_usercal", [
          [ "Calibrating multiple paths at once", "page_power.html#power_cal_switch", null ],
          [ "Extending the calibration utility for custom drivers", "page_power.html#power_usercal_extend", [
            [ "VISA/SCPI based devices", "page_power.html#power_usercal_extend_visa", null ],
            [ "Other measurement devices", "page_power.html#power_usercal_extend_generic", null ]
          ] ]
        ] ]
      ] ],
      [ "Extension Framework documentation", "page_extension.html", [
        [ "Introduction", "page_extension.html#extension_intro", null ],
        [ "Capabilities of the Extension Framework", "page_extension.html#extension_capabilities", [
          [ "How to use the Extension Framework", "page_extension.html#extension_howto", null ]
        ] ]
      ] ],
      [ "USRP2 and N2x0 Series", "page_usrp2.html", [
        [ "Comparative features list", "page_usrp2.html#usrp2_features", null ],
        [ "Load the Images onto the SD card (USRP2 only)", "page_usrp2.html#usrp2_load", [
          [ "Use the card burner tool (UNIX)", "page_usrp2.html#usrp2_load_cardburner", null ],
          [ "Use the card burner tool (Windows)", "page_usrp2.html#usrp2_load_cardburnerwin", null ]
        ] ],
        [ "Load the Images onto the On-board Flash (USRP-N Series only)", "page_usrp2.html#usrp2_loadflash", [
          [ "Use the image loader", "page_usrp2.html#usrp2_loadflash_imageloader", null ],
          [ "Device recovery and bricking", "page_usrp2.html#usrp2_loadflash_brick", null ]
        ] ],
        [ "Setup Networking", "page_usrp2.html#usrp2_network", [
          [ "Setup the host interface", "page_usrp2.html#usrp2_network_setuphost", null ],
          [ "Multiple devices per host", "page_usrp2.html#usrp2_network_multidev", null ],
          [ "Change the USRP2's IP address", "page_usrp2.html#usrp2_network_changeip", null ]
        ] ],
        [ "Communication Problems", "page_usrp2.html#usrp2_commprob", [
          [ "RuntimeError: no control response", "page_usrp2.html#usrp2_commprob_ctrlresponse", null ],
          [ "Firewall issues", "page_usrp2.html#usrp2_commprob_firewall", null ],
          [ "Ping the device", "page_usrp2.html#usrp2_commprob_ping", null ],
          [ "Monitor the serial output", "page_usrp2.html#usrp2_commprob_uart", null ],
          [ "Monitor the host network traffic", "page_usrp2.html#usrp2_commprob_wireshark", null ]
        ] ],
        [ "Addressing the Device", "page_usrp2.html#usrp2_addr", [
          [ "Single device configuration", "page_usrp2.html#usrp2_addr_single", null ],
          [ "Multiple device configuration", "page_usrp2.html#usrp2_", null ]
        ] ],
        [ "Using the MIMO Cable", "page_usrp2.html#usrp2_mimocable", [
          [ "Shared Ethernet mode", "page_usrp2.html#usrp2_mimocable_shared", null ],
          [ "Dual Ethernet mode", "page_usrp2.html#usrp2_mimocable_dual", null ],
          [ "Configuring the slave", "page_usrp2.html#usrp2_mimocable_cfgslave", null ]
        ] ],
        [ "Alternative stream destination", "page_usrp2.html#usrp2_altstream", [
          [ "Set the subnet and gateway", "page_usrp2.html#usrp2_altstream_subnet", null ],
          [ "Create a receive streamer", "page_usrp2.html#usrp2_altstream_rxstream", null ]
        ] ],
        [ "Hardware Setup Notes", "page_usrp2.html#usrp2_hw", [
          [ "Front panel LEDs", "page_usrp2.html#usrp2_hw_leds", null ],
          [ "Ref Clock - 10 MHz", "page_usrp2.html#usrp2_hw_refclk", null ],
          [ "PPS - Pulse Per Second", "page_usrp2.html#usrp2_hw_pps", null ],
          [ "Internal GPSDO", "page_usrp2.html#usrp2_hw_gpsdo", null ]
        ] ],
        [ "Miscellaneous", "page_usrp2.html#usrp2_misc", [
          [ "Available Sensors", "page_usrp2.html#usrp2_misc_sensors", null ],
          [ "Multiple RX channels", "page_usrp2.html#usrp2_misc_multirx", null ],
          [ "Unbricking an N-Series Device", "page_usrp2.html#usrp2_unbrick_n2x0", null ],
          [ "Known Issues", "page_usrp2.html#usrp2_known_issues", null ]
        ] ],
        [ "Internal GPSDO (USRP-N2x0/E1X0 Models)", "page_gpsdo.html", [
          [ "Specifications", "page_gpsdo.html#gpsdo_specs", null ],
          [ "Installation Instructions", "page_gpsdo.html#gpsdo_install", [
            [ "Post-installation Task (N-Series only)", "page_gpsdo.html#gspdo_install_post", null ]
          ] ],
          [ "Using the GPSDO in Your Application", "page_gpsdo.html#gpsdo_use", null ]
        ] ]
      ] ],
      [ "USRP N3xx Series", "page_usrp_n3xx.html", [
        [ "Comparative features list", "page_usrp_n3xx.html#n3xx_feature_list", [
          [ "N310/N300 4-channel/2-channel Transceiver", "page_usrp_n3xx.html#n3xx_feature_list_mg", null ],
          [ "N320/N321 2-channel Transceiver", "page_usrp_n3xx.html#n3xx_feature_list_rh", null ]
        ] ],
        [ "Overview", "page_usrp_n3xx.html#n3xx_overview", [
          [ "The Zynq CPU/FPGA and host operating system", "page_usrp_n3xx.html#n3xx_zynq", null ],
          [ "The STM32 microcontroller", "page_usrp_n3xx.html#n3xx_micro", null ],
          [ "The SD card", "page_usrp_n3xx.html#n3xx_sdcard", null ]
        ] ],
        [ "Getting started", "page_usrp_n3xx.html#n3xx_getting_started", [
          [ "Assembling the N3XX", "page_usrp_n3xx.html#n3xx_getting_started_assembling", null ],
          [ "Updating the file system", "page_usrp_n3xx.html#n3xx_getting_started_fs_update", null ],
          [ "Serial connection", "page_usrp_n3xx.html#n3xx_getting_started_serial", [
            [ "Connecting to the microcontroller", "page_usrp_n3xx.html#n3xx_getting_started_serial_micro", null ]
          ] ],
          [ "SSH connection", "page_usrp_n3xx.html#n3xx_getting_started_ssh", null ],
          [ "Network Connectivity", "page_usrp_n3xx.html#n3xx_getting_started_connectivity", null ],
          [ "Security-related settings", "page_usrp_n3xx.html#n3xx_getting_started_security", null ],
          [ "Updating the FPGA", "page_usrp_n3xx.html#n3xx_getting_started_fpga_update", [
            [ "FPGA Image Flavors", "page_usrp_n3xx.html#n3xx_getting_started_fpga_update_flavors", null ]
          ] ]
        ] ],
        [ "Using an N3XX USRP from UHD", "page_usrp_n3xx.html#n3xx_usage", [
          [ "Device arguments", "page_usrp_n3xx.html#n3xx_usage_device_args", null ],
          [ "Device Initialization", "page_usrp_n3xx.html#n3xx_usage_init", null ],
          [ "Subdev Specifications", "page_usrp_n3xx.html#n3xx_usage_subdevspec", null ],
          [ "The sensor API", "page_usrp_n3xx.html#n3xx_usage_sensors", null ]
        ] ],
        [ "Remote Management", "page_usrp_n3xx.html#n3xx_rasm", [
          [ "Mender: Remote update capability", "page_usrp_n3xx.html#n3xx_rasm_mender", null ],
          [ "Salt: Remote configuration management and execution", "page_usrp_n3xx.html#n3xx_rasm_salt", null ]
        ] ],
        [ "Clock/Time Synchronization", "page_usrp_n3xx.html#n3xx_synchronization", [
          [ "Overview", "page_usrp_n3xx.html#n3xx_synchronization_overview", null ],
          [ "Internal references", "page_usrp_n3xx.html#n3xx_synchronization_internal", null ],
          [ "External references", "page_usrp_n3xx.html#n3xx_synchronization_external", null ],
          [ "White Rabbit", "page_usrp_n3xx.html#n3xx_synchronization_whiterabbit", null ]
        ] ],
        [ "The Front-Panel GPIO", "page_usrp_n3xx.html#n3xx_fpgio", null ],
        [ "Troubleshooting", "page_usrp_n3xx.html#n3xx_troubleshooting", [
          [ "Errors while streaming", "page_usrp_n3xx.html#n3xx_troubleshooting_seqerrs", null ],
          [ "Built-in Self-Test (BiST)", "page_usrp_n3xx.html#n3xx_troubleshooting_bist", null ]
        ] ],
        [ "Theory of Operation", "page_usrp_n3xx.html#n3xx_theory_of_ops", null ],
        [ "Building custom filesystems and SD card images", "page_usrp_n3xx.html#n3xx_fsbuild", [
          [ "Using Docker to build filesystems", "page_usrp_n3xx.html#n3xx_fsbuild_docker", null ]
        ] ],
        [ "Modifying and compiling UHD and MPM for the N3XX", "page_usrp_n3xx.html#n3xx_software_dev", [
          [ "Compiling MPM natively", "page_usrp_n3xx.html#n3xx_software_dev_mpm_native", null ],
          [ "Obtaining an SDK", "page_usrp_n3xx.html#n3xx_software_dev_sdk", null ],
          [ "SDK Usage", "page_usrp_n3xx.html#n3xx_software_dev_sdkusage", [
            [ "Building UHD", "page_usrp_n3xx.html#n3xx_software_dev_uhd", null ],
            [ "Building GNU Radio", "page_usrp_n3xx.html#n3xx_software_dev_gr", null ]
          ] ]
        ] ],
        [ "N310-specific Features", "page_usrp_n3xx.html#n3xx_mg", [
          [ "Front and Rear Panel", "page_usrp_n3xx.html#n3xx_mg_panels", null ],
          [ "Device Initialization (Fast and Slow)", "page_usrp_n3xx.html#n3xx_mg_initialization", null ],
          [ "RF Calibrations", "page_usrp_n3xx.html#n3xx_mg_calibrations", null ],
          [ "External LOs", "page_usrp_n3xx.html#n3xx_mg_external_lo", null ],
          [ "Storing user data in the EEPROM", "page_usrp_n3xx.html#n3xx_mg_eeprom", null ],
          [ "Module and Motherboard/Daughterboard Revisions", "page_usrp_n3xx.html#n3xx_mg_revs", null ],
          [ "FPGA Register Map", "page_usrp_n3xx.html#n3xx_mg_regmap", null ],
          [ "EEPROM flags", "page_usrp_n3xx.html#n3xx_mg_eeprom_flags", null ],
          [ "Gain Profiles", "page_usrp_n3xx.html#n3xx_mg_gain_profiles", null ],
          [ "Custom Band Edges", "page_usrp_n3xx.html#n3xx_mg_custom_band_edges", null ]
        ] ],
        [ "In this example, the second Rx band would start at 431 MHz.", "page_usrp_n3xx.html#autotoc_md59", [
          [ "Filter API", "page_usrp_n3xx.html#n3xx_filter_api", null ]
        ] ],
        [ "N32x-specific Features", "page_usrp_n3xx.html#n3xx_rh", [
          [ "Front and Rear Panel", "page_usrp_n3xx.html#n3xx_rh_panels", null ],
          [ "Device Initialization (Fast and Slow)", "page_usrp_n3xx.html#n3xx_rh_initialization", null ],
          [ "RF Calibrations", "page_usrp_n3xx.html#n3xx_rh_calibrations", null ],
          [ "External LOs", "page_usrp_n3xx.html#n3xx_rh_external_lo", null ],
          [ "N321 LO Distribution Board", "page_usrp_n3xx.html#n3xx_rh_lo_sharing", null ],
          [ "N320/N321 LO Sharing", "page_usrp_n3xx.html#n3xx_rh_lo_chaining", null ],
          [ "SFP+ and QSFP+ protocols", "page_usrp_n3xx.html#n3xx_rh_sfp_protocols", null ],
          [ "N320/N321 Frontend Corrections", "page_usrp_n3xx.html#n3xx_rh_frontend_corrections", null ],
          [ "EEPROM flags", "page_usrp_n3xx.html#n3xx_rh_eeprom_flags", null ]
        ] ]
      ] ],
      [ "USRP B2x0 Series", "page_usrp_b200.html", [
        [ "Comparative features list - B200/B210/B200mini", "page_usrp_b200.html#b200_features", null ],
        [ "Power", "page_usrp_b200.html#b200_power", null ],
        [ "Specifying a Non-standard Image", "page_usrp_b200.html#b200_imgs", null ],
        [ "Custom FPGA images and accessing user settings", "page_usrp_b200.html#b200_customfpga", null ],
        [ "Changing the Master Clock Rate", "page_usrp_b200.html#b200_mcr", [
          [ "Automatic Clock Rate Setting", "page_usrp_b200.html#b200_auto_mcr", null ]
        ] ],
        [ "RF Frontend Notes", "page_usrp_b200.html#b200_fe", [
          [ "Frontend tuning", "page_usrp_b200.html#b200_fe_tuning", null ],
          [ "Frontend gain", "page_usrp_b200.html#b200_fe_gain", null ],
          [ "Frontend bandwidth", "page_usrp_b200.html#b200_fe_bw", null ],
          [ "Power API", "page_usrp_b200.html#b200_fe_power", null ]
        ] ],
        [ "Hardware Reference", "page_usrp_b200.html#b200_hw_ref", [
          [ "LED Indicators", "page_usrp_b200.html#b200_hw_ref_leds", null ],
          [ "External Connections", "page_usrp_b200.html#b200_hw_ref_ext", null ],
          [ "On-Board Connectors and Switches", "page_usrp_b200.html#b200_switches", null ]
        ] ],
        [ "Known issues", "page_usrp_b200.html#b200_known_issues", null ],
        [ "Internal GPSDO Application Notes (USRP-B2x0 Models)", "page_gpsdo_b2x0.html", [
          [ "Specifications", "page_gpsdo_b2x0.html#gpsdob_specs", null ],
          [ "Installation Instructions", "page_gpsdo_b2x0.html#gpsdob_install", null ],
          [ "Using the GPSDO in Your Application", "page_gpsdo_b2x0.html#gpsdob_using", null ],
          [ "Using a power supply with the B2x0 and GPSDO", "page_gpsdo_b2x0.html#gpsdob_power", null ]
        ] ]
      ] ],
      [ "USRP E3xx Series", "page_usrp_e3xx.html", [
        [ "Comparative features list", "page_usrp_e3xx.html#e3xx_feature_list", [
          [ "E310", "page_usrp_e3xx.html#e3xx_feature_list_e310", null ],
          [ "E320", "page_usrp_e3xx.html#e3xx_feature_list_e320", null ]
        ] ],
        [ "E310 Overview", "page_usrp_e3xx.html#e310_overview", [
          [ "The Zynq CPU/FPGA and host operating system", "page_usrp_e3xx.html#e310_zynq", null ],
          [ "E310 Migration Guide to MPM architecture", "page_usrp_e3xx.html#e31x_migration", null ]
        ] ],
        [ "E320 Overview", "page_usrp_e3xx.html#e320_overview", [
          [ "The Zynq CPU/FPGA and host operating system", "page_usrp_e3xx.html#e320_zynq", null ],
          [ "The STM32 microcontroller", "page_usrp_e3xx.html#e320_micro", null ],
          [ "FPGA Image Flavors", "page_usrp_e3xx.html#e320_fpga_flavours", null ]
        ] ],
        [ "The SD card", "page_usrp_e3xx.html#e3xx_sdcard", null ],
        [ "Getting started", "page_usrp_e3xx.html#e3xx_getting_started", [
          [ "Assembling the E3XX", "page_usrp_e3xx.html#e3xx_getting_started_assembling", null ],
          [ "Updating the file system", "page_usrp_e3xx.html#e3xx_getting_started_fs_update", [
            [ "E310/E312/E313 file system", "page_usrp_e3xx.html#e31x_fs", null ],
            [ "E320 file system", "page_usrp_e3xx.html#e320_fs", null ],
            [ "Updating the SD card", "page_usrp_e3xx.html#update_sdcard", null ]
          ] ]
        ] ],
        [ "Building custom filesystems and SD card images", "page_usrp_e3xx.html#e3xx_fsbuild", [
          [ "Using Docker to build filesystems", "page_usrp_e3xx.html#e3xx_fsbuild_docker", null ],
          [ "Serial connection", "page_usrp_e3xx.html#e3xx_getting_started_serial", [
            [ "Connecting to the microcontroller", "page_usrp_e3xx.html#e320_getting_started_serial_micro", null ]
          ] ],
          [ "SSH connection", "page_usrp_e3xx.html#e3xx_getting_started_ssh", null ],
          [ "Network Connectivity", "page_usrp_e3xx.html#e3xx_getting_started_connectivity", null ],
          [ "Network Mode", "page_usrp_e3xx.html#e3xx_getting_started_network_mode", null ],
          [ "Security-related settings", "page_usrp_e3xx.html#e3xx_getting_started_security", null ],
          [ "Updating the FPGA", "page_usrp_e3xx.html#e3xx_getting_started_fpga_update", null ]
        ] ],
        [ "Using an E3XX USRP from UHD", "page_usrp_e3xx.html#e3xx_usage", [
          [ "Device arguments", "page_usrp_e3xx.html#e3xx_usage_device_args", null ],
          [ "The sensor API", "page_usrp_e3xx.html#e3xx_usage_sensors", [
            [ "E31X Sensors", "page_usrp_e3xx.html#e310_sensors", null ],
            [ "E320 Sensors", "page_usrp_e3xx.html#e320_sensors", null ]
          ] ],
          [ "Power API", "page_usrp_e3xx.html#e3xx_power_api", null ]
        ] ],
        [ "Remote Management", "page_usrp_e3xx.html#e3xx_rasm", [
          [ "Mender: Remote update capability", "page_usrp_e3xx.html#e3xx_rasm_mender", null ],
          [ "Salt: Remote configuration management and execution", "page_usrp_e3xx.html#e3xx_rasm_salt", null ]
        ] ],
        [ "Internal or Front-Panel GPIO", "page_usrp_e3xx.html#e3xx_gpio", null ],
        [ "Troubleshooting", "page_usrp_e3xx.html#e3xx_troubleshooting", [
          [ "E320 Built-in Self-Test (BiST)", "page_usrp_e3xx.html#e3xx_troubleshooting_bist", null ]
        ] ],
        [ "Theory of Operation", "page_usrp_e3xx.html#e3xx_theory_of_ops", null ],
        [ "Modifying and compiling UHD and MPM for the E320", "page_usrp_e3xx.html#e3xx_software_dev", [
          [ "Compiling MPM natively", "page_usrp_e3xx.html#e3xx_software_dev_mpm_native", null ],
          [ "Obtaining an SDK", "page_usrp_e3xx.html#e3xx_software_dev_sdk", null ],
          [ "SDK Usage", "page_usrp_e3xx.html#e3xx_software_dev_sdkusage", [
            [ "Building UHD", "page_usrp_e3xx.html#e3xx_software_dev_uhd", null ],
            [ "Building GNU Radio", "page_usrp_e3xx.html#e3xx_software_dev_gr", null ]
          ] ]
        ] ],
        [ "E310-specific Features", "page_usrp_e3xx.html#e31x_device", [
          [ "Front Panel", "page_usrp_e3xx.html#e31x_hw_front_panel", null ],
          [ "Rear Panel", "page_usrp_e3xx.html#e31x_hw_rear_panel", null ],
          [ "Clock and Time Synchronization", "page_usrp_e3xx.html#e31x_hw_sync", null ],
          [ "PPS - Pulse Per Second", "page_usrp_e3xx.html#e31x_hw_pps", null ],
          [ "Internal GPS", "page_usrp_e3xx.html#e31x_hw_gps", null ],
          [ "Internal GPIO", "page_usrp_e3xx.html#e31x_hw_gpio", [
            [ "Connector", "page_usrp_e3xx.html#autotoc_md54", null ],
            [ "Pin Mapping", "page_usrp_e3xx.html#autotoc_md55", null ]
          ] ],
          [ "Debugging custom FPGA designs with Xilinx Chipscope", "page_usrp_e3xx.html#e31x_hw_chipscope", [
            [ "Connector", "page_usrp_e3xx.html#autotoc_md56", null ],
            [ "Pin Mapping", "page_usrp_e3xx.html#autotoc_md57", null ]
          ] ],
          [ "Battery notes", "page_usrp_e3xx.html#e312_battery", [
            [ "Connector", "page_usrp_e3xx.html#e312_battery_connector", null ],
            [ "Driver", "page_usrp_e3xx.html#e312_battery_information", null ],
            [ "Calibration Procedure", "page_usrp_e3xx.html#e312_battery_calibration", null ]
          ] ],
          [ "Daughterboard notes", "page_usrp_e3xx.html#e31x_dboards", [
            [ "Frontend tuning", "page_usrp_e3xx.html#e31x_dboard_e310_tuning", null ],
            [ "Frontend gain", "page_usrp_e3xx.html#e31x_dboard_e310_gain", null ],
            [ "Frontend LO lock status", "page_usrp_e3xx.html#e31x_dboard_e310_pll", null ],
            [ "Frontend Filter and Antenna Switches", "page_usrp_e3xx.html#e31x_dboard_e310_band_select", null ],
            [ "Frontend Side A Filter and Antenna Switches", "page_usrp_e3xx.html#e31x_dboard_e310_frontend_a_switches", null ],
            [ "Frontend Side B Filter and Antenna Switches", "page_usrp_e3xx.html#e31x_dboard_e310_frontend_b_switches", null ]
          ] ]
        ] ],
        [ "E320-specific Features", "page_usrp_e3xx.html#e320_neon", [
          [ "Front and Rear Panel", "page_usrp_e3xx.html#e320_panels", null ],
          [ "Clock and Time Synchronization", "page_usrp_e3xx.html#e320_hw_sync", null ],
          [ "Front Panel GPIO", "page_usrp_e3xx.html#e320_gpio", [
            [ "Front Panel GPIO Connections", "page_usrp_e3xx.html#autotoc_md58", null ]
          ] ],
          [ "EEPROM flags", "page_usrp_e3xx.html#e320_eeprom_flags", null ]
        ] ],
        [ "E3XX FPGA Register Map", "page_usrp_e3xx.html#e3xx_regmap", null ]
      ] ],
      [ "USRP X3x0 Series", "page_usrp_x3x0.html", [
        [ "Comparative features list", "page_usrp_x3x0.html#x3x0_feature_list", null ],
        [ "Getting started", "page_usrp_x3x0.html#x3x0_getting_started", [
          [ "Assembling the X300/X310 kit", "page_usrp_x3x0.html#x3x0_getting_started_assembling", null ],
          [ "Network Connectivity", "page_usrp_x3x0.html#x3x0_getting_started_connectivity", null ],
          [ "Updating the FPGA", "page_usrp_x3x0.html#x3x0_getting_started_fpga_update", null ]
        ] ],
        [ "Using an X3X0 USRP from UHD", "page_usrp_x3x0.html#x3x0_usage", [
          [ "Device arguments", "page_usrp_x3x0.html#x3x0_usage_device_args", null ]
        ] ],
        [ "Hardware Setup", "page_usrp_x3x0.html#x3x0_hw", [
          [ "Gigabit Ethernet (1 GigE)", "page_usrp_x3x0.html#x3x0_hw_1gige", null ],
          [ "Ten Gigabit Ethernet (10 GigE)", "page_usrp_x3x0.html#x3x0_hw_10gige", [
            [ "Installing the Host Ethernet Interface", "page_usrp_x3x0.html#autotoc_md60", null ],
            [ "Installing the USRP X300/X310", "page_usrp_x3x0.html#autotoc_md61", null ],
            [ "Dual 10 Gigabit Ethernet", "page_usrp_x3x0.html#autotoc_md62", null ],
            [ "DPDK Support", "page_usrp_x3x0.html#autotoc_md63", null ],
            [ "Remote UDP streaming", "page_usrp_x3x0.html#autotoc_md64", null ]
          ] ],
          [ "PCI Express (Desktop)", "page_usrp_x3x0.html#x3x0_hw_pcie", [
            [ "Installing the PCIe Kernel Drivers", "page_usrp_x3x0.html#autotoc_md65", null ],
            [ "Installing the PCI Express Interface Kit", "page_usrp_x3x0.html#autotoc_md66", null ],
            [ "Installing the USRP X300/X310", "page_usrp_x3x0.html#autotoc_md67", null ],
            [ "Troubleshooting", "page_usrp_x3x0.html#autotoc_md68", null ]
          ] ],
          [ "PCI Express (Laptop)", "page_usrp_x3x0.html#x3x0_hw_pcie_laptop", [
            [ "Installing the PCIe Kernel Drivers", "page_usrp_x3x0.html#autotoc_md69", null ],
            [ "Installing the PCI Express Card", "page_usrp_x3x0.html#autotoc_md70", null ],
            [ "Installing the USRP X300/X310", "page_usrp_x3x0.html#autotoc_md71", null ]
          ] ]
        ] ],
        [ "On-Board JTAG Programmer", "page_usrp_x3x0.html#x3x0_jtag", null ],
        [ "Load FPGA Images onto the Device", "page_usrp_x3x0.html#x3x0_load_fpga_imgs", [
          [ "FPGA Image Flavors", "page_usrp_x3x0.html#x3x0_load_fpga_imgs_fpga_flavours", null ],
          [ "Use PCI Express to load FPGA images", "page_usrp_x3x0.html#x3x0_load_fpga_imgs_pcie", null ],
          [ "Use JTAG to load FPGA images", "page_usrp_x3x0.html#x3x0_load_fpga_imgs_jtag", null ]
        ] ],
        [ "Load the Images onto the On-board Flash", "page_usrp_x3x0.html#x3x0_flash", [
          [ "Use the image loader over Ethernet", "page_usrp_x3x0.html#uhd_image_loader_tool", null ],
          [ "Use the image loader over PCI Express", "page_usrp_x3x0.html#uhd_image_loader_tool_pcie", null ],
          [ "Device recovery and bricking", "page_usrp_x3x0.html#x3x0_flash_bricking", null ]
        ] ],
        [ "Setup Networking", "page_usrp_x3x0.html#x3x0_setup_network", [
          [ "Setup the host interface", "page_usrp_x3x0.html#x3x0_setup_network_host_interface", null ],
          [ "Multiple devices per host", "page_usrp_x3x0.html#x3x0_setup_network_multidevs", [
            [ "Configuration for USRP-X Series device 0:", "page_usrp_x3x0.html#autotoc_md72", null ],
            [ "Configuration for USRP-X Series device 1:", "page_usrp_x3x0.html#autotoc_md73", null ]
          ] ],
          [ "Change the USRP's IP address", "page_usrp_x3x0.html#x3x0_setup_change_ip", null ]
        ] ],
        [ "Setup Clocking", "page_usrp_x3x0.html#x3x0_setup_clocking", [
          [ "Motherboard clock", "page_usrp_x3x0.html#x3x0_set_clocking_mboard", null ],
          [ "Daughterboard clock", "page_usrp_x3x0.html#x3x0_set_clocking_dboard", null ]
        ] ],
        [ "Addressing the Device", "page_usrp_x3x0.html#x3x0_addressing", [
          [ "Single device configuration", "page_usrp_x3x0.html#x3x0_addressing_singledev", null ],
          [ "Multiple device configuration", "page_usrp_x3x0.html#x3x0_addressing_multidevcfg", null ]
        ] ],
        [ "Troubleshooting", "page_usrp_x3x0.html#x3x0_troubleshooting", [
          [ "Communication Issues", "page_usrp_x3x0.html#x3x0_comm_issues", null ],
          [ "RuntimeError: no control response", "page_usrp_x3x0.html#x3x0_comm_issues_runtimeerr", null ],
          [ "Firewall Issues", "page_usrp_x3x0.html#x3x0_comm_issues_firewall", null ],
          [ "Ping the device", "page_usrp_x3x0.html#x3x0_comm_issues_ping", null ],
          [ "Device not enumerated over PCI-Express (Linux)", "page_usrp_x3x0.html#x3x0_comm_issues_not_enumerated", null ],
          [ "Device not enumerated over PCI-Express (Windows)", "page_usrp_x3x0.html#x3x0_comm_issues_not_enumerated_win", null ],
          [ "Monitor the host network traffic", "page_usrp_x3x0.html#x3x0_comm_issues_monitor", null ],
          [ "Observe Ethernet port LEDs", "page_usrp_x3x0.html#x3x0_comm_problems_leds", null ],
          [ "Corrupt EEPROM", "page_usrp_x3x0.html#x3x0_corrupt_eeprom", null ]
        ] ],
        [ "Hardware Notes", "page_usrp_x3x0.html#x3x0_hw_notes", [
          [ "Front Panel", "page_usrp_x3x0.html#x3x0_hw_fpanel", null ],
          [ "Rear Panel", "page_usrp_x3x0.html#x3x0_hw_rear_panel", null ],
          [ "Ref Clock (10 MHz or other frequency)", "page_usrp_x3x0.html#x3x0_hw_x3x0_hw_ref10M", null ],
          [ "PPS - Pulse Per Second", "page_usrp_x3x0.html#x3x0_hw_pps", null ],
          [ "Internal GPSDO", "page_usrp_x3x0.html#x3x0_hw_gpsdo", null ],
          [ "Front Panel GPIO", "page_usrp_x3x0.html#x3x0_hw_gpio", [
            [ "Connector", "page_usrp_x3x0.html#autotoc_md74", null ],
            [ "Pin Mapping", "page_usrp_x3x0.html#autotoc_md75", null ]
          ] ],
          [ "On-Board LEDs", "page_usrp_x3x0.html#x3x0_hw_on_board_leds", null ],
          [ "Debugging custom FPGA designs with Xilinx Chipscope", "page_usrp_x3x0.html#x3x0_hw_chipscope", null ]
        ] ],
        [ "Miscellaneous", "page_usrp_x3x0.html#x3x0_misc", [
          [ "Power API", "page_usrp_x3x0.html#x3x0_misc_power", null ],
          [ "Configuring the device in an application", "page_usrp_x3x0.html#x3x0_misc_settings", null ],
          [ "Multiple RX channels", "page_usrp_x3x0.html#x3x0_misc_multirx", null ],
          [ "Available Sensors", "page_usrp_x3x0.html#x3x0_misc_sensors", null ],
          [ "Multiple Timed Command Advisory", "page_usrp_x3x0.html#x3x0_misc_timed_cmds_lockup", null ]
        ] ],
        [ "Internal GPSDO Application Notes (USRP-X3x0 Models)", "page_gpsdo_x3x0.html", [
          [ "Specifications", "page_gpsdo_x3x0.html#gpsdox_specs", null ],
          [ "Installation Instructions", "page_gpsdo_x3x0.html#gpsdox_install", null ],
          [ "Using the GPSDO in Your Application", "page_gpsdo_x3x0.html#gpsdox_using", [
            [ "Device Time to GPS time", "page_gpsdo_x3x0.html#Setting", null ],
            [ "GPS sensors", "page_gpsdo_x3x0.html#Further", null ]
          ] ]
        ] ],
        [ "GPIO API", "page_gpio_api.html", [
          [ "The Front Panel GPIO", "page_gpio_api.html#xgpio_fpanel", [
            [ "X3x0 Front Panel GPIO", "page_gpio_api.html#xgpio_fpanel_gpio", [
              [ "Connector", "page_gpio_api.html#xgpio_fpanel_conn", null ],
              [ "Pin Mapping", "page_gpio_api.html#xgpio_fpanel_pins", null ]
            ] ],
            [ "E310/E312/E313 Internal GPIO", "page_gpio_api.html#egpio_internal_gpio", [
              [ "Connector", "page_gpio_api.html#egpio_internal_conn", null ],
              [ "Pin Mapping", "page_gpio_api.html#autotoc_md9", null ]
            ] ],
            [ "E320 External GPIO connector", "page_gpio_api.html#e320_gpio_conn", [
              [ "Front Panel GPIO Connections", "page_gpio_api.html#autotoc_md10", null ]
            ] ],
            [ "Explaining ATR", "page_gpio_api.html#xgpio_fpanel_atr", null ],
            [ "An Example", "page_gpio_api.html#xgpio_fpanel_xample", null ]
          ] ]
        ] ],
        [ "System Configuration for USRP X3x0 Series", "page_usrp_x3x0_config.html", [
          [ "Configuring your Host PC", "page_usrp_x3x0_config.html#x3x0cfg_hostpc", [
            [ "Kernel Version", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_kernel", null ],
            [ "Network Configuration", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_netcfg", [
              [ "Configuring NetworkManager", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_netcfg_nwmgr", null ],
              [ "Configuring the host's IP address", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_netcfg_ip", null ],
              [ "Configuring the Socket Buffers", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_netcfg_sockbuff", null ],
              [ "Configuring the MTU", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_netcfg_mtu", null ],
              [ "Configuring the Firewall", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_netcfg_firewall", null ],
              [ "Interface Configuration File (Fedora)", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_netcfg_if", null ]
            ] ],
            [ "PCI Express Configuration", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_pcie", null ],
            [ "Power Management", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_pwr", [
              [ "Setting the CPU Governors", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_pwr_cpugov", null ]
            ] ],
            [ "Real-Time & Priority Scheduling", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_rtprio", [
              [ "Thread Priority Scheduling with UHD", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_rtprio_thread", null ],
              [ "Real-Time Scheduling in your Application", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_rtprio_app", null ]
            ] ],
            [ "SIMD Acceleration", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_volk", [
              [ "Compiling GNURadio with Volk", "page_usrp_x3x0_config.html#x3x0cfg_hostpc_volk_volk", null ]
            ] ]
          ] ],
          [ "Host PC Hardware Selection", "page_usrp_x3x0_config.html#x3x0cfg_hosthw", [
            [ "Motherboard", "page_usrp_x3x0_config.html#x3x0cfg_hosthw_mb", null ],
            [ "10GbE NIC", "page_usrp_x3x0_config.html#x3x0cfg_hosthw_10gige", null ]
          ] ],
          [ "Troubleshooting Performance Issues", "page_usrp_x3x0_config.html#x3x0cfg_hosthw_troubleshooting", [
            [ "Troubleshooting Ethernet Issues", "page_usrp_x3x0_config.html#x3x0cfg_hosthw_troubleshooting_eth", null ]
          ] ]
        ] ],
        [ "NI RIO Kernel Modules for X-Series PCIe Connectivity", "page_ni_rio_kernel.html", [
          [ "Linux NI RIO Installation and Usage", "page_ni_rio_kernel.html#linux_rio", [
            [ "Overview", "page_ni_rio_kernel.html#linux_overview", null ],
            [ "Requirements", "page_ni_rio_kernel.html#linux_requirements", null ],
            [ "Installing the Drivers in Linux", "page_ni_rio_kernel.html#linux_installation", null ],
            [ "Enabling and Disabling Usage", "page_ni_rio_kernel.html#linux_enabling", null ],
            [ "Hot-Plugging and Power-Cycling", "page_ni_rio_kernel.html#linux_swapping", null ],
            [ "Upgrading Kernels", "page_ni_rio_kernel.html#linux_upgrades", null ],
            [ "Uninstalling the Driver in Linux", "page_ni_rio_kernel.html#linux_uninstalling", null ]
          ] ],
          [ "Windows NI RIO Installation and Usage", "page_ni_rio_kernel.html#windows_rio", [
            [ "Requirements", "page_ni_rio_kernel.html#win_requirements", null ],
            [ "Installing NI-USRP in Windows", "page_ni_rio_kernel.html#win_install", null ],
            [ "Enabling and Disabling Usage", "page_ni_rio_kernel.html#win_enabling", null ],
            [ "Hot-plugging and Power-cycling", "page_ni_rio_kernel.html#win_swapping", null ],
            [ "Uninstalling NI-USRP in Windows", "page_ni_rio_kernel.html#win_uninstall", null ]
          ] ]
        ] ]
      ] ],
      [ "USRP X4x0 Series", "page_usrp_x4xx.html", [
        [ "Comparative Features List", "page_usrp_x4xx.html#x4xx_feature_list", null ],
        [ "Overview and Features", "page_usrp_x4xx.html#x4xx_overview", [
          [ "The RFSoC CPU/FPGA and Host Operating System", "page_usrp_x4xx.html#x4xx_overview_rfsoc", null ],
          [ "USRP X410 Daughterboard Connectivity", "page_usrp_x4xx.html#x4xx_overview_x410_dboards", null ],
          [ "USRP X440 Daughterboard Connectivity", "page_usrp_x4xx.html#x4xx_overview_x440_dboards", null ],
          [ "Front and Back Panels", "page_usrp_x4xx.html#x4xx_overview_panels", null ],
          [ "The STM32 Microcontroller", "page_usrp_x4xx.html#x4xx_overview_micro", null ],
          [ "Rack Mounting and Cooling", "page_usrp_x4xx.html#x4xx_overview_rackmount", null ],
          [ "eMMC Storage", "page_usrp_x4xx.html#x4xx_overview_storage", null ]
        ] ],
        [ "Getting Started", "page_usrp_x4xx.html#x4xx_getting_started", [
          [ "Assembling the X4x0", "page_usrp_x4xx.html#x4xx_getting_started_assembling", null ],
          [ "Network Connectivity", "page_usrp_x4xx.html#x4xx_getting_started_network_connectivity", [
            [ "Network Interfaces", "page_usrp_x4xx.html#x4xx_getting_started_network_connectivity_ifcs", null ],
            [ "Network Status LEDs", "page_usrp_x4xx.html#x4xx_getting_started_network_connectivity_leds", [
              [ "RJ45 LED Behavior", "page_usrp_x4xx.html#x4xx_getting_started_network_connectivity_leds_rj45", null ],
              [ "QSFP28 LED Behavior", "page_usrp_x4xx.html#x4xx_getting_started_network_connectivity_leds_qsfp28", null ]
            ] ]
          ] ],
          [ "Security-related Settings", "page_usrp_x4xx.html#x4xx_getting_started_security", null ],
          [ "Serial Connection", "page_usrp_x4xx.html#x4xx_getting_started_serial", [
            [ "Connecting to the Microcontroller", "page_usrp_x4xx.html#x4xx_getting_started_serial_micro", null ]
          ] ],
          [ "SSH Connection", "page_usrp_x4xx.html#x4xx_getting_started_ssh", null ],
          [ "Updating the FPGA", "page_usrp_x4xx.html#x4xx_updating_fpga", [
            [ "FPGA Image Flavors", "page_usrp_x4xx.html#x4xx_updating_fpga_types", null ],
            [ "DDR4 Memory for Programmable Logic", "page_usrp_x4xx.html#x4xx_pl_dram", null ]
          ] ]
        ] ],
        [ "Updating Filesystems", "page_usrp_x4xx.html#x4xx_updating_filesystems", [
          [ "Updating the Filesystem Using Mender", "page_usrp_x4xx.html#x4xx_updating_filesystems_mender", [
            [ "Downloading a Mender Artifact", "page_usrp_x4xx.html#x4xx_updating_filesystems_mender_artifact", null ],
            [ "Installing the Mender Artifact", "page_usrp_x4xx.html#x4xx_updating_filesystems_mender_install", null ]
          ] ],
          [ "Resetting Boot Environment", "page_usrp_x4xx.html#x4xx_resetting_boot_environment", null ],
          [ "Updating the Motherboard CPLD", "page_usrp_x4xx.html#x4xx_updating_cpld", [
            [ "Building the Motherboard CPLD", "page_usrp_x4xx.html#x4xx_building_cpld", null ]
          ] ],
          [ "Updating the SCU", "page_usrp_x4xx.html#x4xx_updating_scu", null ],
          [ "USB Access to eMMC", "page_usrp_x4xx.html#x4xx_accessing_emmc_usb", [
            [ "Flashing eMMC", "page_usrp_x4xx.html#x4xx_flash_emmc", null ]
          ] ],
          [ "Booting X4x0 over JTAG", "page_usrp_x4xx.html#x4xx_jtag_boot", null ]
        ] ],
        [ "Using a USRP X4x0 from UHD", "page_usrp_x4xx.html#x4xx_usage", [
          [ "Device Arguments", "page_usrp_x4xx.html#x4xx_usage_args", null ],
          [ "Master Clock Rates", "page_usrp_x4xx.html#x4xx_usage_mcrs", [
            [ "USRP X410", "page_usrp_x4xx.html#x410_usage_mcrs", null ],
            [ "USRP X440", "page_usrp_x4xx.html#x440_usage_mcrs", [
              [ "General", "page_usrp_x4xx.html#x440_usage_mcr_general", null ],
              [ "Dual Rate", "page_usrp_x4xx.html#x440_usage_mcr_dualrate", null ]
            ] ]
          ] ],
          [ "Timed Commands", "page_usrp_x4xx.html#x4xx_usage_timedcmds", null ],
          [ "GPS", "page_usrp_x4xx.html#x4xx_usage_gps", null ],
          [ "Front-Panel Programmable GPIOs", "page_usrp_x4xx.html#x4xx_usage_gpio", null ],
          [ "Subdev Specifications", "page_usrp_x4xx.html#x4xx_usage_subdevspec", null ],
          [ "The Sensor API", "page_usrp_x4xx.html#x4xx_usage_sensors", null ],
          [ "Rear Panel Status LEDs", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds", [
            [ "Power LED", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds_power", [
              [ "Power LED Behavior", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds_power_behavior", null ]
            ] ],
            [ "User-configurable LEDs", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds_configurable", [
              [ "Supported LED Behaviors", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds_configurable_suppbeh", null ],
              [ "LEDs Default Behavior", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds_configurable_defaults", null ],
              [ "Temporarily change the LED Behavior", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds_configurable_tempbeh", null ],
              [ "Persistently change the LED Behavior", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds_configurable_persistentbeh", null ],
              [ "Using FPGA LED Control", "page_usrp_x4xx.html#x4xx_usage_rearpanelleds_configurable_fpga", null ]
            ] ]
          ] ]
        ] ],
        [ "Theory of Operation", "page_usrp_x4xx.html#x4xx_too", [
          [ "Converter Rates", "page_usrp_x4xx.html#x4xx_too_convrate", [
            [ "USRP X410", "page_usrp_x4xx.html#x410_too_convrate", null ],
            [ "USRP X440", "page_usrp_x4xx.html#x440_too_convrate", null ]
          ] ],
          [ "Clocking", "page_usrp_x4xx.html#x4xx_too_clocking", null ]
        ] ],
        [ "ADC self calibration", "page_usrp_x4xx.html#x4xx_adc_self_cal", null ],
        [ "ZBX Daughterboard", "page_zbx.html", [
          [ "Overview", "page_zbx.html#zbx_overview", null ],
          [ "Theory of Operation", "page_zbx.html#zbx_too", [
            [ "Digital Control", "page_zbx.html#zbx_too_cpld", null ],
            [ "LO Control", "page_zbx.html#zbx_too_lo_control", null ]
          ] ],
          [ "Antenna Ports", "page_zbx.html#zbx_ant_ports", [
            [ "Status LEDs", "page_zbx.html#zbx_leds", null ]
          ] ],
          [ "Power Calibration", "page_zbx.html#zbx_pwr_cal", null ],
          [ "Sensors", "page_zbx.html#zbx_sensors", null ],
          [ "Gain Control", "page_zbx.html#zbx_gain_control", [
            [ "Default Gain Profile", "page_zbx.html#zbx_gain_default", null ],
            [ "Manual Gain Profile", "page_zbx.html#zbx_gain_manual", null ],
            [ "CPLD-Table Gain Profile with ATR control", "page_zbx.html#zbx_gain_table", null ],
            [ "CPLD-Table Gain Profile without ATR control", "page_zbx.html#zbx_gain_tablenoatr", null ]
          ] ],
          [ "Auto-Transmit-Receive Registers (ATR)", "page_zbx.html#zbx_atr", null ],
          [ "Updating the ZBX CPLD", "page_zbx.html#zbx_updating_cpld", [
            [ "CPLD Programming: Details", "page_zbx.html#zbx_updating_cpld_details", null ]
          ] ],
          [ "Flash Memory and EEPROM", "page_zbx.html#zbx_flash", null ]
        ] ],
        [ "FBX Daughterboard", "page_fbx.html", [
          [ "Overview", "page_fbx.html#fbx_overview", null ],
          [ "Theory of Operation", "page_fbx.html#fbx_too", null ],
          [ "Digital Control", "page_fbx.html#fbx_too_dctrl", null ],
          [ "Antenna Ports", "page_fbx.html#fbx_antenna", [
            [ "Status LEDs", "page_fbx.html#fbx_leds", null ]
          ] ],
          [ "Sensors", "page_fbx.html#fbx_sensors", null ],
          [ "Auto-Transmit-Receive Registers (ATR)", "page_fbx.html#fbx_atr", null ]
        ] ],
        [ "X4x0 GPIO API", "page_x400_gpio_api.html", [
          [ "The X4x0 Front Panel GPIO", "page_x400_gpio_api.html#x4x0gpio_fpanel", [
            [ "X4x0 Front Panel GPIO", "page_x400_gpio_api.html#x4x0gpio_fpanel_gpio", [
              [ "Connector", "page_x400_gpio_api.html#x4x0gpio_fpanel_conn", null ],
              [ "Pin Mapping", "page_x400_gpio_api.html#x4x0gpio_fpanel_pins", null ]
            ] ],
            [ "Setting GPIO Output", "page_x400_gpio_api.html#x4x0_gpio_output", null ],
            [ "Configuring External Power Supply", "page_x400_gpio_api.html#x4x0_gpio_power", null ],
            [ "Configuring GPIO Voltage", "page_x400_gpio_api.html#x4x0_gpio_voltage", null ]
          ] ],
          [ "The x4x0 SPI Mode", "page_x400_gpio_api.html#x4x0_spi_iface", [
            [ "Configuration of SPI lines", "page_x400_gpio_api.html#x4x0_spi_cfg", null ],
            [ "Write and read on SPI", "page_x400_gpio_api.html#x4x0_spi_r_w", null ]
          ] ]
        ] ]
      ] ],
      [ "USRP1", "page_usrp1.html", [
        [ "Comparative features list", "page_usrp1.html#usrp1_features", null ],
        [ "Specify a Non-standard Image", "page_usrp1.html#usrp1_imgs", null ],
        [ "Missing and Emulated Features", "page_usrp1.html#usrp1_emul", [
          [ "List of emulated features", "page_usrp1.html#usrp1_emul_list", null ],
          [ "List of missing features", "page_usrp1.html#usrp1_emul_listmissing", null ]
        ] ],
        [ "Hardware Setup Notes", "page_usrp1.html#usrp1_hw", [
          [ "External clock modification", "page_usrp1.html#usrp1_hw_extclk", null ]
        ] ],
        [ "Known Issues", "page_usrp1.html#usrp1_known_issues", null ]
      ] ],
      [ "USRP B100 Series", "page_usrp_b100.html", [
        [ "Comparative features list", "page_usrp_b100.html#b100_features", null ],
        [ "Specify a Non-standard Image", "page_usrp_b100.html#b100_imgs", null ],
        [ "Changing the Master Clock Rate", "page_usrp_b100.html#b100_mcr", [
          [ "Set 61.44 MHz - uses external VCXO", "page_usrp_b100.html#b100_mcr_vcxo", null ],
          [ "Set other rates - uses internal VCO", "page_usrp_b100.html#b100_mcr_vco", null ]
        ] ],
        [ "Hardware setup notes", "page_usrp_b100.html#b100_hw", [
          [ "Front panel LEDs", "page_usrp_b100.html#b100_hw_leds", null ]
        ] ],
        [ "Miscellaneous", "page_usrp_b100.html#b100_misc", [
          [ "Available Sensors", "page_usrp_b100.html#b100_misc_sensors", null ],
          [ "Known Issues", "page_usrp_b100.html#b100_known_issues", null ]
        ] ]
      ] ],
      [ "USRP-E1x0 Series", "page_usrp_e1x0.html", [
        [ "Comparative features list", "page_usrp_e1x0.html#e1x0_features", null ],
        [ "Specify a Non-standard Image", "page_usrp_e1x0.html#e1x0_imgs", null ],
        [ "Changing the Master Clock Rate", "page_usrp_e1x0.html#e1x0_mcr", [
          [ "Set 61.44MHz - uses external VCXO", "page_usrp_e1x0.html#e1x0_mcr_extvcxo", null ],
          [ "Set other rates - uses internal VCO", "page_usrp_e1x0.html#e1x0_intvco", null ]
        ] ],
        [ "Clock Synchronization", "page_usrp_e1x0.html#e1x0_clksync", [
          [ "Ref Clock - 10MHz", "page_usrp_e1x0.html#e1x0_clksync_ref", null ],
          [ "PPS - Pulse Per Second", "page_usrp_e1x0.html#e1x0_clksync_pps", null ],
          [ "Internal GPSDO", "page_usrp_e1x0.html#e1x0_clksync_gpsdo", null ]
        ] ],
        [ "Hardware Setup Notes", "page_usrp_e1x0.html#e1x0_hw", [
          [ "Front panel LEDs", "page_usrp_e1x0.html#e1x0_hw_leds", null ]
        ] ],
        [ "Miscellaneous", "page_usrp_e1x0.html#e1x0_misc", [
          [ "Available Sensors", "page_usrp_e1x0.html#e1x0_misc_sensors", null ]
        ] ],
        [ "Internal GPSDO (USRP-N2x0/E1X0 Models)", "page_gpsdo.html", [
          [ "Specifications", "page_gpsdo.html#gpsdo_specs", null ],
          [ "Installation Instructions", "page_gpsdo.html#gpsdo_install", [
            [ "Post-installation Task (N-Series only)", "page_gpsdo.html#gspdo_install_post", null ]
          ] ],
          [ "Using the GPSDO in Your Application", "page_gpsdo.html#gpsdo_use", null ]
        ] ]
      ] ],
      [ "Daughterboards", "page_dboards.html", [
        [ "Daughterboard Properties", "page_dboards.html#dboards", [
          [ "Basic RX and LFRX", "page_dboards.html#dboards_basicrx", null ],
          [ "Basic TX and LFTX", "page_dboards.html#dboards_basictx", null ],
          [ "DBSRX", "page_dboards.html#dboards_dbsrx", null ],
          [ "DBSRX2", "page_dboards.html#dboards_dbsrx2", null ],
          [ "RFX Series", "page_dboards.html#dboards_rfx", null ],
          [ "XCVR 2450", "page_dboards.html#dboards_xcvr", null ],
          [ "WBX Series", "page_dboards.html#dboards_wbx", null ],
          [ "SBX Series", "page_dboards.html#dboards_sbx", null ],
          [ "CBX Series", "page_dboards.html#dboards_cbx", null ],
          [ "UBX Series", "page_dboards.html#dboards_ubx", null ],
          [ "TwinRX", "page_dboards.html#dboards_twinrx", null ],
          [ "TVRX", "page_dboards.html#dboards_tvrx", null ],
          [ "TVRX2", "page_dboards.html#dboards_tvrx2", null ],
          [ "E310 MIMO XCVR board", "page_dboards.html#dboards_e300", null ],
          [ "N310 XCVR board", "page_dboards.html#dboards_n310", null ],
          [ "ZBX XCVR board", "page_dboards.html#dboards_zbx", null ],
          [ "FBX XCVR board", "page_dboards.html#dboards_fbx", null ],
          [ "Daughterboard reference clock", "page_dboards.html#dboards_clock_rate", null ],
          [ "DBSRX - Modifying for other boards that USRP1", "page_dboards.html#dboards_dbsrxmod", [
            [ "Step 1: Move the clock configuration resistor", "page_dboards.html#dboards_dbsrxmod_1", null ],
            [ "Step 2: Burn a new daughterboard id into the EEPROM", "page_dboards.html#dboards_dbsrxmod_2", null ]
          ] ],
          [ "RFX - Modify to use motherboard oscillator", "page_dboards.html#dboards_rfxmod", null ]
        ] ],
        [ "TwinRX Daughterboard", "page_twinrx.html", [
          [ "TwinRX Properties", "page_twinrx.html#twinrx_dboards", [
            [ "Master Clock Rate, Tick Rate, and Sampling Rate", "page_twinrx.html#twinrx_dboards_mcr", null ],
            [ "Frequency Bands", "page_twinrx.html#twinrx_frequency_bands", null ],
            [ "Local Oscillator Sharing", "page_twinrx.html#twinrx_lo_sharing", null ],
            [ "Antenna Routing", "page_twinrx.html#twinrx_antenna_routing", null ],
            [ "Power Calibration", "page_twinrx.html#twinrx_power_cal", null ]
          ] ]
        ] ],
        [ "ZBX Daughterboard", "page_zbx.html", [
          [ "Overview", "page_zbx.html#zbx_overview", null ],
          [ "Theory of Operation", "page_zbx.html#zbx_too", [
            [ "Digital Control", "page_zbx.html#zbx_too_cpld", null ],
            [ "LO Control", "page_zbx.html#zbx_too_lo_control", null ]
          ] ],
          [ "Antenna Ports", "page_zbx.html#zbx_ant_ports", [
            [ "Status LEDs", "page_zbx.html#zbx_leds", null ]
          ] ],
          [ "Power Calibration", "page_zbx.html#zbx_pwr_cal", null ],
          [ "Sensors", "page_zbx.html#zbx_sensors", null ],
          [ "Gain Control", "page_zbx.html#zbx_gain_control", [
            [ "Default Gain Profile", "page_zbx.html#zbx_gain_default", null ],
            [ "Manual Gain Profile", "page_zbx.html#zbx_gain_manual", null ],
            [ "CPLD-Table Gain Profile with ATR control", "page_zbx.html#zbx_gain_table", null ],
            [ "CPLD-Table Gain Profile without ATR control", "page_zbx.html#zbx_gain_tablenoatr", null ]
          ] ],
          [ "Auto-Transmit-Receive Registers (ATR)", "page_zbx.html#zbx_atr", null ],
          [ "Updating the ZBX CPLD", "page_zbx.html#zbx_updating_cpld", [
            [ "CPLD Programming: Details", "page_zbx.html#zbx_updating_cpld_details", null ]
          ] ],
          [ "Flash Memory and EEPROM", "page_zbx.html#zbx_flash", null ]
        ] ],
        [ "FBX Daughterboard", "page_fbx.html", [
          [ "Overview", "page_fbx.html#fbx_overview", null ],
          [ "Theory of Operation", "page_fbx.html#fbx_too", null ],
          [ "Digital Control", "page_fbx.html#fbx_too_dctrl", null ],
          [ "Antenna Ports", "page_fbx.html#fbx_antenna", [
            [ "Status LEDs", "page_fbx.html#fbx_leds", null ]
          ] ],
          [ "Sensors", "page_fbx.html#fbx_sensors", null ],
          [ "Auto-Transmit-Receive Registers (ATR)", "page_fbx.html#fbx_atr", null ]
        ] ]
      ] ],
      [ "OctoClock", "page_octoclock.html", [
        [ "Feature list", "page_octoclock.html#octoclock_features", null ],
        [ "Detecting an Ethernet-compatible device", "page_octoclock.html#detecting_new_unit", null ],
        [ "Upgrading your device", "page_octoclock.html#upgrading_device", [
          [ "Getting the latest firmware images", "page_octoclock.html#getting_latest", null ],
          [ "Burning the bootloader onto the device", "page_octoclock.html#bootloader", null ],
          [ "Uploading the firmware via Ethernet", "page_octoclock.html#firmware", null ],
          [ "Updating the device's EEPROM", "page_octoclock.html#eeprom", null ]
        ] ],
        [ "Using your device", "page_octoclock.html#usage", [
          [ "The boot process", "page_octoclock.html#boot_process", null ],
          [ "Selecting a reference", "page_octoclock.html#selecting", null ],
          [ "Front Panel LEDs", "page_octoclock.html#front_panel_leds", null ],
          [ "Communication with UHD", "page_octoclock.html#uhd", null ]
        ] ]
      ] ],
      [ "Usrpctl", "page_usrpctl.html", [
        [ "Description", "page_usrpctl.html#usrpctl_description", null ],
        [ "$ID", "page_usrpctl.html#usrpctl_id", null ],
        [ "$COMMAND", "page_usrpctl.html#usrpctl_command", null ],
        [ "$OPTIONS", "page_usrpctl.html#usrpctl_options", null ],
        [ "Available commands", "page_usrpctl.html#usrpctl_commands", [
          [ "find", "page_usrpctl.html#usrpctl_find", null ],
          [ "probe", "page_usrpctl.html#usrpctl_probe", null ],
          [ "reset", "page_usrpctl.html#usrpctl_reset", null ]
        ] ]
      ] ]
    ] ],
    [ "UHD Development Manual", "page_uhd.html", [
      [ "API Documentation", "page_uhd.html#autotoc_md51", null ],
      [ "C API", "page_capi.html", [
        [ "Installing the C API", "page_capi.html#capi_install", null ],
        [ "Using the C API", "page_capi.html#capi_usage", null ]
      ] ],
      [ "Python API", "page_python.html", [
        [ "Installing the Python API", "page_python.html#python_install", [
          [ "Installing on Windows", "page_python.html#python_install_windows", null ],
          [ "Advanced Usage Notes", "page_python.html#python_install_adv", null ]
        ] ],
        [ "Using the Python API", "page_python.html#python_usage", null ],
        [ "One-off transmit/receive applications", "page_python.html#python_usage_oneoff", null ],
        [ "Thread Safety and the Python Global Interpreter Lock", "page_python.html#python_usage_gil", null ]
      ] ],
      [ "Coding to the API", "page_coding.html", [
        [ "Various API interfaces", "page_coding.html#coding_api", [
          [ "High-Level: The Multi-USRP", "page_coding.html#coding_api_hilevel", null ],
          [ "High-Level: The RFNoC API", "page_coding.html#coding_api_hilevel_rfnoc", null ],
          [ "High-Level: The Multi-USRP-Clock", "page_coding.html#coding_api_hilevelclock", null ],
          [ "High-Level: The C API", "page_coding.html#coding_api_hilevelc", null ],
          [ "Low-Level: The device API", "page_coding.html#coding_api_lowlevel", null ]
        ] ],
        [ "UHD - C API", "page_c_api.html", [
          [ "Introduction", "page_c_api.html#c_api_intro", [
            [ "C-Level Handles", "page_c_api.html#c_api_handles", null ],
            [ "Error Codes", "page_c_api.html#c_api_errorcode", null ],
            [ "Example Code", "page_c_api.html#c_api_examples", null ]
          ] ]
        ] ]
      ] ],
      [ "Converters", "page_converters.html", [
        [ "Overview", "page_converters.html#converters_overview", null ],
        [ "Formats and Converter Choice", "page_converters.html#converters_formats", [
          [ "Internal format strings", "page_converters.html#converters_formats_internal", null ]
        ] ],
        [ "Hardware-specific Converters", "page_converters.html#converters_accel", null ],
        [ "Registering converters", "page_converters.html#converters_register", [
          [ "Outside of UHD", "page_converters.html#converters_register_extra", null ],
          [ "Inside UHD", "page_converters.html#converters_register_internal", null ]
        ] ]
      ] ],
      [ "Device streaming", "page_stream.html", [
        [ "Introduction to Streaming", "page_stream.html#stream_intro", null ],
        [ "Link Layer Encapsulation", "page_stream.html#stream_lle", null ],
        [ "Data Types", "page_stream.html#stream_datatypes", [
          [ "The host/CPU data type", "page_stream.html#stream_datatypes_cpu", null ],
          [ "The link-layer data type", "page_stream.html#stream_datatypes_otw", null ],
          [ "Conversion", "page_stream.html#stream_datatypes_conv", null ]
        ] ],
        [ "Remote streaming", "page_stream.html#stream_remote", [
          [ "RFNoC Devices (X440, X410, X3x0, N3xx Series, E320)", "page_stream.html#stream_remote_rfnoc", [
            [ "Flow Control", "page_stream.html#stream_remote_rfnoc_fc", null ],
            [ "Limitations", "page_stream.html#stream_remote_rfnoc_limits", null ]
          ] ],
          [ "USRP N200/N210/USRP2", "page_stream.html#stream_remote_usrp2", null ]
        ] ]
      ] ],
      [ "Radio Transport Protocols", "page_rtp.html", [
        [ "CHDR", "page_rtp.html#rtp_chdr", null ],
        [ "Legacy CHDR (Used by B200-series devices)", "page_rtp.html#rtp_legacy_chdr", null ],
        [ "VRT", "page_rtp.html#rtp_vrt", null ],
        [ "Tools", "page_rtp.html#vrt_tools", null ],
        [ "Code", "page_rtp.html#vrt_code", null ]
      ] ],
      [ "UHD Semantic Versioning", "page_semver.html", [
        [ "Summary", "page_semver.html#semver_summary", null ],
        [ "Introduction", "page_semver.html#semver_intro", null ],
        [ "UHD-SemVer Specification", "page_semver.html#semver_spec", null ],
        [ "License", "page_semver.html#semver_license", null ]
      ] ],
      [ "UHD Logging", "page_logging.html", [
        [ "Log levels", "page_logging.html#logging_levels", null ],
        [ "Logging Macros", "page_logging.html#logging_macros", null ],
        [ "Logging Backends", "page_logging.html#logging_backends", null ]
      ] ],
      [ "R&D Testing Procedures", "page_rdtesting.html", [
        [ "GPSDO Tests", "page_rdtesting.html#rdtesting_gpsdo", [
          [ "Recommendations", "page_rdtesting.html#rdtesting_gpsdo_recommendations", null ],
          [ "Requirements", "page_rdtesting.html#rdtesting_gpsdo_requirements", null ],
          [ "GPSDO: Manual Test Procedure", "page_rdtesting.html#rdtesting_gpsdo_manual", null ],
          [ "GPSDO: Automatic Test Procedure", "page_rdtesting.html#rdtesting_gpsdo_auto", null ]
        ] ],
        [ "Devtests", "page_rdtesting.html#rdtesting_devtest", [
          [ "Requirements", "page_rdtesting.html#rdtesting_devtest_requirements", null ],
          [ "Devtest: Manual Test Procedure", "page_rdtesting.html#rdtesting_devtest_manual", [
            [ "X3x0 procedure", "page_rdtesting.html#autotoc_md14", null ],
            [ "B2xx procedure", "page_rdtesting.html#autotoc_md15", null ],
            [ "E310 procedure", "page_rdtesting.html#autotoc_md16", null ],
            [ "E320 procedure", "page_rdtesting.html#autotoc_md17", null ]
          ] ],
          [ "Devtest: Automatic Test Procedure", "page_rdtesting.html#rdtesting_devtest_auto", null ]
        ] ],
        [ "FPGA: Testing through Simulations", "page_rdtesting.html#rdtesting_fpga_testbenches", [
          [ "Requirements", "page_rdtesting.html#rdtesting_fpga_testbenches_requirement", null ],
          [ "Manual Test Procedure", "page_rdtesting.html#rdtesting_fpga_testbenches_manual", null ],
          [ "Automatic Test Procedure", "page_rdtesting.html#rdtesting_fpga_testbenches_auto", null ]
        ] ],
        [ "FPGA DSP Verification", "page_rdtesting.html#rdtesting_fpgadspverif", [
          [ "Requirements", "page_rdtesting.html#rdtesting_fpgadspverif_requirements", null ],
          [ "FPGA DSP Verification: Manual Test Procedure", "page_rdtesting.html#rdtesting_fpgadspverif_manual", null ],
          [ "FPGA DSP Verification: Automatic Test Procedure", "page_rdtesting.html#rdtesting_fpgadspverif_auto", null ]
        ] ],
        [ "FPGA Functional Verification", "page_rdtesting.html#rdtesting_fpgafuncverif", [
          [ "Requirements", "page_rdtesting.html#rdtesting_fpgafuncverif_requirements", null ],
          [ "FPGA Functional Verification: Manual Test Procedure", "page_rdtesting.html#rdtesting_fpgafuncverif_manual", null ],
          [ "FPGA Functional Verification: Automatic Test Procedure", "page_rdtesting.html#rdtesting_fpgafuncverif_auto", [
            [ "X310/X300", "page_rdtesting.html#autotoc_md30", [
              [ "HG", "page_rdtesting.html#autotoc_md31", null ],
              [ "XG", "page_rdtesting.html#autotoc_md32", null ]
            ] ],
            [ "N310/N300", "page_rdtesting.html#autotoc_md33", [
              [ "HG", "page_rdtesting.html#autotoc_md34", null ],
              [ "XG", "page_rdtesting.html#autotoc_md35", null ],
              [ "HA", "page_rdtesting.html#autotoc_md36", null ],
              [ "XA", "page_rdtesting.html#autotoc_md37", null ],
              [ "WX", "page_rdtesting.html#autotoc_md38", null ]
            ] ],
            [ "N320/N321", "page_rdtesting.html#autotoc_md39", [
              [ "HG", "page_rdtesting.html#autotoc_md40", null ],
              [ "XG", "page_rdtesting.html#autotoc_md41", null ],
              [ "XQ", "page_rdtesting.html#autotoc_md42", null ],
              [ "AQ", "page_rdtesting.html#autotoc_md43", null ],
              [ "WX", "page_rdtesting.html#autotoc_md44", null ]
            ] ],
            [ "E310", "page_rdtesting.html#autotoc_md45", [
              [ "Embedded mode", "page_rdtesting.html#autotoc_md46", null ]
            ] ],
            [ "E320", "page_rdtesting.html#autotoc_md47", [
              [ "1G", "page_rdtesting.html#autotoc_md48", null ],
              [ "XG", "page_rdtesting.html#autotoc_md49", null ],
              [ "Embedded mode", "page_rdtesting.html#autotoc_md50", null ]
            ] ]
          ] ]
        ] ],
        [ "Phase alignment tests", "page_rdtesting.html#rdtesting_phasealignment", [
          [ "Manual phase alignment testing (Receiver)", "page_rdtesting.html#rdtesting_phase_rx_manual", null ],
          [ "X3x0 with TwinRX", "page_rdtesting.html#rdtesting_phase_rx_X3x0_twinrx", null ],
          [ "X3x0 with SBX or UBX", "page_rdtesting.html#rdtesting_phase_rx_X3x0_sbx_ubx", null ],
          [ "N2x0 MIMO with SBX", "page_rdtesting.html#rdtesting_phase_rx_N2x0_MIMO", null ],
          [ "Automatic phase alignment testing (Receiver)", "page_rdtesting.html#rdtesting_phase_rx_auto", null ]
        ] ],
        [ "BISTs", "page_rdtesting.html#rdtesting_bist", [
          [ "N300/N310 Manual Procedure", "page_rdtesting.html#rdtesting_bist_n3x0_manual", null ],
          [ "N300/N310 Automatic Procedure", "page_rdtesting.html#rdtesting_bist_n3x0_auto", null ]
        ] ],
        [ "Required Peripherals", "page_rdtesting.html#rdtesting_n3xx_peripherals", null ],
        [ "DB15 GPIO Loopback", "page_rdtesting.html#rdtesting_n3xx_peripherals_gpiolb", [
          [ "E320 Manual Procedure", "page_rdtesting.html#rdtesting_bist_e320_manual", null ],
          [ "E320 Automatic Procedure", "page_rdtesting.html#rdtesting_bist_e320_auto", null ]
        ] ],
        [ "Required Peripherals", "page_rdtesting.html#rdtesting_e320_peripherals", null ],
        [ "GPIO Loopback", "page_rdtesting.html#rdtesting_e320_peripherals_gpiolb", null ],
        [ "Defining R&D Tests", "page_rdtesting.html#rdtesting_defining", null ]
      ] ]
    ] ],
    [ "FPGA Manual", "md_fpga.html", [
      [ "Product Generations", "md_fpga.html#autotoc_md90", [
        [ "Generation 1", "md_fpga.html#autotoc_md91", null ],
        [ "Generation 2", "md_fpga.html#autotoc_md92", null ],
        [ "Generation 3", "md_fpga.html#autotoc_md93", null ]
      ] ],
      [ "Pre-built FPGA Images", "md_fpga.html#autotoc_md94", null ]
    ] ],
    [ "Binary Installation", "page_install.html", [
      [ "Installation on Windows", "page_install.html#install_win", [
        [ "LibUSBx", "page_install.html#install_win_libusb", null ],
        [ "Installer Packages", "page_install.html#install_win_installer", [
          [ "Post-Install Tasks", "page_install.html#install_win_post", null ]
        ] ],
        [ "Python Packages", "page_install.html#install_win_python", [
          [ "Troubleshooting", "page_install.html#Troubleshooting", null ]
        ] ],
        [ "Manual Install of libUSB (optional)", "page_install.html#install_libUSB", null ],
        [ "Building from source", "page_install.html#install_win_source", null ]
      ] ],
      [ "Installation on Linux", "page_install.html#install_linux", [
        [ "Using your package manager", "page_install.html#install_linux_pkgmgr", null ],
        [ "Using binaries provided by Ettus Research", "page_install.html#install_linux_ourbins", [
          [ "Ubuntu", "page_install.html#install_linux_ourbins_ubuntu", null ],
          [ "Fedora", "page_install.html#install_linux_ourbins_fedora", null ]
        ] ],
        [ "Using PyBOMBS", "page_install.html#install_linux_pybombs", null ]
      ] ],
      [ "Installation on Mac OS X", "page_install.html#install_osx", null ],
      [ "Via MacPorts", "page_install.html#install_osx_macports", null ]
    ] ],
    [ "Building and Installing UHD from source", "page_build_guide.html", [
      [ "Build Dependencies", "page_build_guide.html#build_dependencies", [
        [ "Setting up the dependencies on Ubuntu", "page_build_guide.html#build_dependencies_ubuntu", null ],
        [ "Setting up the dependencies on Fedora", "page_build_guide.html#build_dependencies_fedora", null ]
      ] ],
      [ "Getting the source code", "page_build_guide.html#build_get_source", null ],
      [ "Using PyBOMBS", "page_build_guide.html#build_pybombs", null ],
      [ "Build Instructions (Unix)", "page_build_guide.html#build_instructions_unix", [
        [ "Generate Makefiles with CMake", "page_build_guide.html#generate_unix", null ],
        [ "Build and install", "page_build_guide.html#build_install_unix", null ],
        [ "Setup the library path (Linux)", "page_build_guide.html#libpath_linux", null ],
        [ "Compiling for ARM platforms", "page_build_guide.html#build_instructions_unix_arm", null ]
      ] ],
      [ "Build Instructions (Windows)", "page_build_guide.html#build_instructions_windows", [
        [ "Generate the project with CMake", "page_build_guide.html#cmake_win", null ],
        [ "Compile and Install with Visual Studio", "page_build_guide.html#msvc_generate", null ],
        [ "LibUSB notes", "page_build_guide.html#libusb_notes", null ],
        [ "Build the project in MSVC", "page_build_guide.html#build_in_msvc", null ],
        [ "Build the project in MSVC (command line)", "page_build_guide.html#build_msvc_cmd_line", null ],
        [ "Compiling a binary installer", "page_build_guide.html#compile_binary_installer_mscv", null ],
        [ "Setup the PATH environment variable", "page_build_guide.html#path_env", null ]
      ] ],
      [ "Build Instructions (Mac OS X)", "page_build_guide.html#build_instructions_osx", null ],
      [ "Post-Install Tasks", "page_build_guide.html#post_install_tasks", null ],
      [ "Only building Python utilities", "page_build_guide.html#build_pymod_only", null ],
      [ "Building applications that require UHD using CMake", "page_build_guide.html#build_apps", null ],
      [ "Static Builds", "page_build_guide.html#build_static", null ]
    ] ]
];